Function
localAlignment
Computes the best local alignment of two sequences.
localAlignment(align, score, tag)
localAlignment(align, score)
localAlignment(align, sw_finder, score, cutoff, tag)
localAlignment(align, sw_finder, score, cutoff, diagLow, diagHigh, tag)
localAlignment(strSet, score, tag)
localAlignment(graph, score, tag)
localAlignment(file, strSet, score, tag)
Include Headers
seqan/graph_align.h
Parameters

align | Alignment object to use. Types: Align
cutoff | Alignments with scores < cutoff will be discarded.
diagLow | The lowest diagonal of the alignment matrix that will be computed for banded alignment.
diagHigh | The highest diagonal of the alignment matrix that will be computed for banded alignment.
tag | A tag indicating the alignment algorithm to use Types: BandedWatermanEggert, SmithWaterman, WatermanEggert Remarks: SmithWaterman
strSet | A string set with 2 sequences. Types: StringSet Remarks: If an alignment graph is used that graph must contain a string set with two sequences
graph | The alignment graph having 2 sequences. Types: Alignment Graph
file | A file stream or std::cout to write a textual alignment
score | The score values to be used for computing the alignment. Types: Score

Return Values
The maximum score of the best local alignment.
Example Programs
Local Alignments
See Also
LocalAlignmentFinder, Local Alignment Algorithms
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48